#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, L, a=0;
    scanf("%d%d", &N, &L);
    int H[N];
    for(int i=0; i<N; i++)
        scanf("%d", &H[i]);
    for(int i=0; i<N; i++)
    {
        if(H[i]<=L)
        {
            printf("%d", i+1);
            break;
        }
        else
            a++;
    }
    if(a==N)
        printf("-1");
    return 0;
}